body{
    background-image: url(https://images.wallpaperscraft.ru/image/single/dereviannyj_poverhnost_tekstura_118443_1920x1080.jpg);
    background-size: cover;
    background-attachment: fixed;
    font-family: DM Sans;
}

p, a{
    color: #FEF9E1;
}

h2{
    color: #FF9D23;
    font-family: Eczar;
    font-size: 50px;
}

.container{
    display: grid;
    grid-template-columns: 20% 60% 20%;
    text-align: center;
}

.content1{
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.519);
    border-radius: 5px;
    box-shadow: 0px 0px 10px 2px black;
    margin-bottom: 30px;
}

/* nav */
.nav, .sidfot{
    margin-top: 10px;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.519);
    border-radius: 5px;
    box-shadow: 0px 0px 10px 2px black;
}

.nav{
    margin-top: 10px;
    margin-bottom: 20px;
    font-size: 20px;
}

.nav a{
    color: #FF9D23;
    margin-right: 20px;
}

.nav a:hover, .aktuellw{
    text-decoration: underline;
}

.aktuelly{
    text-decoration: none;
}

/* sidfot */
.sidfot p{
    color: #FF9D23;
}

.contact{
    display: grid;
    grid-template-columns: 33% 33% 33%;
    margin-bottom: 15px;
}

.socmed{
    width: 100%;
    display: grid;
    grid-template-columns: 33% 33% 33%;
}

/* img */
img{
    width: 100%;
    border-radius: 5px;
}

.news img{
    width: 90%;
    border-radius: 5px;
    margin-bottom: 30px;
}

.sidfot img{
    width: 10%;
}

.socmed img{
    margin-left: 45%;
}

.produkter img{
    width: 90%;
    margin-top: -20px;
}

.contact img{
    width: 80%;
    margin: auto;
}

/* input top av hem-sida */
form:not(.inlagg form, .nykomm){
    display: grid;
    grid-template-columns: 50% 50%;
}

fieldset{
    text-align: left;
    border-radius: 5px;
    border-width: 3px;
    border-style: solid;
    margin-right: 10px;
    border-color: #FF9D23;
    margin-top: 10px;
}

input{
    margin-bottom: 10px;
    border-radius: 3px;
    border-color: #FF9D23;
    border-width: 3px;
    border-style: solid;
    width: 70%;
    padding: 10px;
    font-family: DM Sans;
    background-color: #FEF9E1;
}

.submit{
    color: black;
    border-width: 3px;
    background-color: #FF9D23;
    width: 50%;
}

input[type=submit]{
    font-family: DM Sans;
    font-weight: bold;
}

::placeholder{
    color: rgba(0, 0, 0, 0.4);
    padding: 3px;
    font-family: DM Sans;
}

legend{
    font-size: 20px;
    color: #FF9D23;
}

.search{
    margin-top: 25px;
}

.search::placeholder{
    text-align: center;
}

.submit:hover{
    opacity: 0.9;
}

input:hover:not(.submit){
    opacity: 0.9;
}

/* recensioner */
.rec1{
    font-size: 20px;
    margin-bottom: 60px;
}

.rec1 img{
    object-fit: cover;
    width: 50%;
    height: 250px;
}

.rec2{
    display: grid;
    grid-template-columns: 33% 33% 33%;
    font-size: 13px;
}

.rec2 img{
    object-fit: cover;
    margin-left: auto;
    margin-right: auto;
    height: 200px;
    width: 80%;

}

.rec2 p{
    margin-bottom: 45px;
}

.rev h2{
    margin-bottom: 0px;
}


/* forum hem-sida*/
table{
    width: 100%;
    text-align: left;
    margin-left: auto;
    margin-right: auto;
}

.t1, .titelt1{
    background-color: #FF9D23;
    padding-bottom: 10px;
    padding-top: 10px;
    color: #FEF9E1;
}

.t2{
    background-color: #FEF9E1;
    padding-bottom: 10px;
    padding-top: 10px;
    color: #FF9D23;
}

.t2 a{
    color: #FF9D23;
}

.t2 a, .t1 a, .titelt1 a{
    text-decoration: none;
}

td{
    padding: 15px;
}

td a:hover{
    text-decoration: underline;
}

#t0{
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

#t3{
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

#forumh2{
    margin-top: -5px;
    margin-bottom: -5px;
}

/* -Produkter- */

/* nyhet */
.nyhet{
    display: grid;
    grid-template-columns: 5% 40% 40% 5%;
    column-gap: 20px;
}

.nyhet2{
    margin-top: 10%;
    font-size: 30px;    
    line-height: 60px;
    font-family: DM Sans;
    color: #FEF9E1;
}

.dropdown {
    width: 100%;
    text-align: center;
    margin-top: 7%;
    margin-bottom: 7%;
    position: relative; /* needed for dropdown-content positioning */
  }
  
  .dropbtn {
    background-color: #FF9D23;
    color: #FEF9E1;
    padding: 16px;
    font-size: 16px;
    border: none;
    font-family: DM sans;
    width: 70%;
  }
  
  .dropdown-content {
  display: none;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 100%;
  background-color: #FEF9E1;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  white-space: nowrap; /* prevents wrapping */
  padding: 8px;
  
  gap: 8px; /* optional spacing between items */
}

.dropdown-content a {
  color: #FF9D23;
  padding: 12px 16px;
  text-decoration: none;
  font-family: DM sans;
  background-color: transparent;
}
  
  /* Change color of dropdown links on hover */
  .dropdown-content a:hover {background-color: #FF9D23; color: #FEF9E1;}
  
  /* Show the dropdown menu on hover */
  .dropdown:hover .dropdown-content { display: flex; /* make items side by side */}
  
  /* Change the background color of the dropdown button when the dropdown content is shown */
  .dropdown:hover .dropbtn {background-color: #FF9D23; opacity: 0.9; transition: 0.3s;}

/* produktgrid */

.produkter{
    display: grid;
    grid-template-columns: 5% 30% 30% 30% 5%;
    column-gap: 10px;
    text-align: center;
}

.smaprodukter{
    display: grid;
    grid-template-columns: 5% repeat(5, 15%) 5%;
    column-gap: 20px;
    text-align: center;
}

.produkter a, .smaprodukter a{
    color: #FF9D23;
    text-decoration: underline;
}

.produkter a:hover, .smaprodukter a:hover{
    color: #FEF9E1;
    text-decoration: none;
}

.produkter p:not(.prodnamn){
    color: #FEF9E1;
    font-size: 15px;
}

.smaprodukter p:not(.prodnamn){
    color: #FEF9E1;
    font-size: 10px;

}

.prodnamn{
    font-family: Eczar;
    font-size: 28px;
    font-weight: bolder;
    margin-bottom: 7px;
    color: #FF9D23;
}

.smaprodukter .prodnamn{
        font-family: Eczar;
        font-size: 17px;
        font-weight: bolder;
        margin-bottom: 1px;
        color: #FF9D23;

}



/* prod.grid img */

.pbimg{
    opacity: 0;
    position: absolute;
    width: 15.4%;
    transform: translate(5%, -102%);
    transition: 0.3s;
    border-radius: 5px;
    background-color: #0000004c;
}

.smaprodukter .pbimg{
    opacity: 0;
    position: absolute;
    width: 8.5%;
    transform: translate(0%, -102%);
    transition: 0.3s;
    border-radius: 5px;
    background-color: #0000004c;
}

.smaprodukter .pbimg h4{
    color: #FF9D23;
    text-decoration: underline;
    font-size: 11px;
}

.smaprodukter .pbimg p{
    font-size: 8px;
}

.pbimg h4{
    color: #FF9D23;
    text-decoration: underline;
}

.produkterbilder:hover img:not(.pbimg img) {
    opacity: 1;
    transition: 0.3s;
}

.produkterbilder:hover .pbimg {
    opacity: 1;
    transition: 0.3s;
}

/* Forum */

/* forum main */
.forummain{
    display: grid;
    grid-template-columns: 50% 50%;
}

.forummain table{
    width: 95%;
    margin-left:auto;
    margin-right:auto;
}

.forummain td:not(.titelt1){
    text-align: center;
}

.forummain h2{
    margin-top: 15px;
    margin-bottom: 10px;
}

.inl2 h2{
    font-size: 30px;
    margin-bottom: 0px;
}

.inl2{
    margin-top: 45px;
}

#pop{
    margin-bottom: 6px;
    margin-top: 15px;
}

table img{
    width: 25px;
}

/* skapa inlägg */
.inlagg{
    margin-top: 50px;
}

.inlagg h2{
    margin-bottom: 0px;
}

.inlagg input:not(.submit){
    width: 65%;
    font-size: 17px;
}

textarea{
    resize: none;
    width: 70%;
    border: #FF9D23 3px solid;
    border-radius: 3px;
    font-size: 15px;
    margin-bottom: 10px;
    font-family: DM Sans;
    background-color: #FEF9E1;
}

textarea:hover{
    opacity: 0.9;
}

.inlagg .submit{
    width: 30%;
}

/* regler */

.regler h2{
    margin-bottom: -5px;
}

.regler summary{
    cursor: pointer;
    color: #FF9D23;
    list-style: none;
    font-family: DM Sans;
}

.regler summary:hover{
    text-decoration: underline;
    color: #FEF9E1;
}

.regeltitel{
    font-weight: bold;
}


details p{
    margin-top: 30px;
    margin-bottom: -10px;
}

/* Foruminlägg */

/* info */

.forumh2{
    margin-top: 0px;
    margin-bottom: 0px;
}

.foruminfo{
    display: grid;
    grid-template-columns: 33% 33% 34%;
    margin-top: 0px;
    margin-bottom: -50px;
}

.foruminfo2{
    width: 100%;
    margin-top: 50px;
    margin-bottom: -20px;
    display: grid;
    grid-template-columns: 5% 10% 20% 5% 60% ;
}

.foruminfo2 img{
    object-fit: cover;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    aspect-ratio: 1/1;
    border-radius: 0px;
    padding-top: 5px;
}

.foruminfo2 p{
    font-weight: bold;
    font-size: larger;
    margin-left: 30px;
    text-align: left;
    padding-top: 10px;
}

.foruminfo2 h2{
    margin-top: 0px;
    padding-top: 10px;
    color: #FEF9E1;
    background-color: #FF9D23;
}

.komm{
    text-decoration: none;
}

.komm:hover{
    text-decoration: underline;
}

/* inlägg */
.foruminlagg{
    margin-top: -65px;
    background-color: #FF9D23;
    border-radius: 5px;
    border-top-left-radius:0px;
    padding-bottom: 5px;
}

.foruminlagg p{
    padding-top: 20px;
    padding-left: 10px;
    color: #FEF9E1;
    text-align: left;
    line-height: 45px;
    padding-right: 10px;
}

.triangle {
    width: 0;
    height: 0;
    border: solid 30px;
    transform: scale(120%) rotate(270deg) translate(-20%,-20%); ;
    border-color: transparent transparent #FF9D23;
}

/* kommentarer */
.user{
    font-weight: bold;
    padding: 20px;
    font-size: 20px;
}

.comments p:not(.user, .likebutton p){
    background-color: #FF9D23;
    padding: 20px;
    text-align: left;
    border-radius: 5px;
}

.comments:not(.likebutton){
    display: grid;
    grid-template-columns: 10% 20% 70%;
}

.nykomm .submit{
    width: 40%;
}

.nykomm{
    margin-top: -20px;
    margin-bottom: 35px;
}

.likebutton{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    margin-bottom: -40px;
}

.likebutton p{
    margin-left: -320px;
    margin-top: 7px;
}


#like, #dislike,
#like2, #dislike2,
#like3, #dislike3,
#like4, #dislike4,
#like5, #dislike5{
    display: none;
}

label{
    width: 100px;
    height: 100px;
    display: inline-block;
    background-size: cover;
    cursor: pointer;
    background-image:url(img/FF/gladgubb1.png);
    background-size: 35px;
    background-repeat: no-repeat;
    filter: invert(100%); 
}

.label2{
    width: 100px;
    height: 100px;
    display: inline-block;
    background-size: cover;
    cursor: pointer;
    background-image:url(img/FF/ledsen.png);
    background-size: 35px;
    background-repeat: no-repeat;
}

#like:checked + label,
#like2:checked + label,
#like3:checked + label,
#like4:checked + label,
#like5:checked + label{
    background-image: url(img/FF/gladgubb2.png);
    background-size: 35px;
    filter: invert(100%);
}

#dislike:checked + label,
#dislike2:checked + label,
#dislike3:checked + label,
#dislike4:checked + label,
#dislike5:checked + label{ 
    background-image: url(img/FF/ledsen2.png);
}

.comments img{
    width: 80%;
    margin-left: 30px;
    margin-top: auto;
    margin-bottom: auto;
}
